시트
시트 조회
원본 행을 포함해 조직에 속한 아웃바운드 시트 하나를 조회합니다.
GET
/
sheets
/
{sheet_id}
시트 조회
curl --request GET \
--url https://client-api.tryvox.co/v3/sheets/{sheet_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/sheets/{sheet_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/sheets/{sheet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"total_rows": 1,
"web_url": "<string>",
"created_at": 123,
"rows": [
{
"row_id": 123,
"to_number": "<string>",
"dynamic_variables": {}
}
]
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Path Parameters
Response
성공 응답
시트 UUID.
시트를 소유하는 프로젝트 UUID.
프로젝트에 저장된 시트 이름.
전체 행 수.
Required range:
x >= 0web에서 시트를 여는 완성 URL.
리소스 생성 시각입니다. unix milliseconds 형식입니다.
시트 원본 행 목록.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
시트 조회
